#### Description:

This function draws a curve in the physical coordinate system of a Plot by varying only one of the coordinates along the length of the curve. It is intended for drawing coordinate axes, coordinate grids, and tick marks on axes (but note that these are also available via the more comprehensive astGrid function).

The curve is transformed into graphical coordinate space for plotting, so that a straight line in physical coordinates may result in a curved line being drawn if the Mapping involved is non-linear. Any discontinuities in the Mapping between physical and graphical coordinates are catered for, as is any clipping established using astClip.

#### Synopsis

void astGridLine( AstPlot ∗this, int axis, const double start[], double length )

#### Parameters:

##### this

Pointer to the Plot.

##### axis

The index of the Plot axis whose physical coordinate value is to be varied along the length of the curve (all other coordinates will remain fixed). This value should lie in the range from 1 to the number of Plot axes (Naxes attribute).

##### start

An array, with one element for each axis of the Plot, giving the physical coordinates of the start of the curve.

##### length

The length of curve to be drawn, given as an increment along the selected physical axis. This may be positive or negative.

#### Notes:

- No curve is drawn if the `"` start`"` array contains any coordinates with the value AST__BAD, nor if `"` length`"` has this value.

- An error results if the base Frame of the Plot is not 2-dimensional.

- An error also results if the transformation between the current and base Frames of the Plot is not defined (i.e. the Plot`’` s TranInverse attribute is zero).

Copyright (C) 2021 East Asian Observatory